X2Go Bug report logs - #356
Fwd: [X2Go-User] x2gocleansessions fix

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sat, 7 Dec 2013 22:15:54 UTC

Severity: important

Tags: pending

Found in version 4.0.0.7

Fixed in version 4.0.0.8

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#356; Package x2goserver. (Sat, 07 Dec 2013 22:15:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 07 Dec 2013 22:15:55 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: Gerald Richter - ECOS <richter@ecos.de>
Subject: Fwd: [X2Go-User] x2gocleansessions fix
Date: Sat, 07 Dec 2013 22:15:18 +0000
[Message part 1 (text/plain, inline)]
Package: x2goserver
Severity: important
Version: 4.0.0.7

Hi Gerald,

thanks for this pointer. Let's get this into X2Go Server LTS (aka Baikal).

Mike


----- Weitergeleitete Nachricht von Gerald Richter - ECOS  
<richter@ecos.de> -----
  Datum: Fri, 6 Dec 2013 06:46:43 +0100
    Von: Gerald Richter - ECOS <richter@ecos.de>
Betreff: [X2Go-User] x2gocleansessions fix
     An: "x2go-user@lists.berlios.de" <x2go-user@lists.berlios.de>

Hi,

 
x2gocleansessions sometimes fails for me, because there is a lot of  
extra output in the log like “Proxy: WARNING! Detected drift in system  
timer. Resetting to current time.”. The following patch fixes the  
problem:

 
--- /usr/sbin/x2gocleansessions.orig     2013-12-06 06:37:46.000000000 +0100

+++ /usr/sbin/x2gocleansessions           2013-12-06 06:38:45.000000000 +0100

@@ -56,7 +56,7 @@

                my $sess=shift;

                my $user=shift;

                my $log="/tmp/.x2go-${user}/session-C-${sess}.log";

-              my $text=`tail -1 $log 2>/dev/null`;

+             my $text=`grep Session: $log 2>/dev/null|tail -1`;

                if ($text =~ m/Session suspended/)

                {

                               return 0;

 
Regards

 
Gerald

 
 
 

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#356; Package x2goserver. (Sat, 07 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 07 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 356@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 356-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 356@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 7 Dec 2013 23:20:23 +0100 (CET)
tag #356 pending
fixed #356 4.0.0.8
thanks

Hello,

X2Go issue #356 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=08a2780

The issue will most likely be fixed in src:x2goserver (4.0.0.8).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 08a2780f1448da0fd00e68f11177b1ca1672da04
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Dec 7 23:19:24 2013 +0100

    Improve parsing of the NX session.log file where unexpected extra logging takes place during session suspension/resumption. Thanks to Gerald Richter for finding this!!! (Fixes: #356).

diff --git a/debian/changelog b/debian/changelog
index b39bfac..932b33c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,12 @@
 x2goserver (4.0.0.8-0x2go1) UNRELEASED; urgency=low
 
-  * Use mktemp instead of tempfile (because Fedora does not have the tempfile
-    binary). (Fixes: #347).
-  * Replace makepasswd by pwgen (because Fedora does not have makepasswd).
+  * New upstream version (4.0.0.8):
+    - Use mktemp instead of tempfile (because Fedora does not have the tempfile
+      binary). (Fixes: #347).
+    - Replace makepasswd by pwgen (because Fedora does not have makepasswd).
+    - Improve parsing of the NX session.log file where unexpected extra logging
+      takes place during session suspension/resumption. Thanks to Gerald Richter
+      for finding this!!! (Fixes: #356).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Nov 2013 16:14:32 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.0.8. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#356. (Sat, 07 Dec 2013 22:33:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#356; Package x2goserver. (Mon, 06 Jan 2014 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 06 Jan 2014 17:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 356@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 356-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 356@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Mon, 6 Jan 2014 18:28:53 +0100 (CET)
close #356
thanks

Hello,

we are very hopeful that X2Go issue #356 reported by you
has been resolved in the new release (4.0.0.8) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.0.8)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6b2da3a6dced741db618d0cd6580bda396758f15;hp=f10d9a7e17da3a7be2c5d169a7aa01d633f7065e

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.8-0x2go1
Status: RELEASE
Date: Fri, 03 Jan 2014 11:30:54 +0100
Fixes: 347 356
Changes: 
 x2goserver (4.0.0.8-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (4.0.0.8):
     - Use mktemp instead of tempfile (because Fedora does not have the tempfile
       binary). (Fixes: #347).
     - Replace makepasswd by pwgen (because Fedora does not have makepasswd).
     - Improve parsing of the NX session.log file where unexpected extra logging
       takes place during session suspension/resumption. Thanks to Gerald Richter
       for finding this!!! (Fixes: #356).
     - Avoid one argument system calls and backticks in x2gocleansessions and
       x2golistsessions_root.
     - Avoid one argument system calls and backticks in x2golistsessions.
     - Avoid one argument system calls and backticks in x2goprint.
     - Avoid backticks in x2goshowblocks, move script to <prefix>/sbin/ as it is
       for being run with root privileges.
     - Sanitize session ID string, port numbers, display numbers and agent PID
       numbers before writing them as strings to the session DB.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 06 Jan 2014 17:30:05 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 06 Jan 2014 17:30:05 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#356. (Mon, 06 Jan 2014 17:30:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 04 Feb 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jul 17 09:26:38 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.